Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# LocalObject.h File Reference

`#include "ace/Thread_Mutex.h"`
`#include "Object.h"`

Include dependency graph for LocalObject.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
class | TAO_Local_RefCounted_Object
| This class adds default reference counting to local objects. More...

## Detailed Description

Id:
  LocalObject.h,v 1.26 2003/10/28 18:29:15 bala Exp

Header file for CORBA's base "LocalObject" type.

A "LocalObject" is an entity that can be the target of a local invocation. See the CORBA Component Model specification for details.

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>